Bug 175792

Summary: [PATCH] devel/glog: update to 0.3.3
Product: Ports & Packages Reporter: Yoshisato Yanagisawa <osho>
Component: Individual Port(s)Assignee: William Grzybowski <wg>
Status: Closed FIXED    
Severity: Affects Only Me CC: clsung
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
glog-0.3.3.patch none

Description Yoshisato Yanagisawa 2013-02-03 03:30:00 UTC
- Update to 0.3.3.
- Clean up based on portlint messages.

Removed file(s):
- files/extra-patch-src-utilities.cc
- files/extra-patch-src-utilities.h

Port maintainer (clsung@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.99_6 (mode: update, diff: ports)
Comment 1 Edwin Groothuis freebsd_committer 2013-02-03 03:30:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Yoshisato Yanagisawa 2013-02-15 16:35:00 UTC
No update for two weeks?

I do not know how long will it take from send-pr to applying patches but
upgrading to 0.3.3 would make this person happy:
http://code.google.com/p/google-glog/issues/detail?id=146
Comment 3 William Grzybowski freebsd_committer 2013-06-17 17:19:07 UTC
Responsible Changed
From-To: clsung->wg

Maintainer timeout
Comment 4 William Grzybowski 2013-06-17 17:32:39 UTC
Why did you remove the patches?

--
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 5 dfilter service freebsd_committer 2013-06-17 17:44:59 UTC
Author: wg
Date: Mon Jun 17 16:44:51 2013
New Revision: 321141
URL: http://svnweb.freebsd.org/changeset/ports/321141

Log:
  devel/glog: update to 0.3.3
  
  - Update to 0.3.3 [1]
  - NOPORTDOCS -> PORT_OPTIONS:MDOCS [1]
  - Remove USE_GCC, now it builds with clang
  
  Changes:
  http://code.google.com/p/google-glog/source/browse/trunk/ChangeLog?spec=svn132&r=132
  
  PR:		ports/175792 [1]
  Submitted by:	Yoshisato YANAGISAWA <osho@pcc-software.org>
  Approved by:	culot / jpaetzel (mentors, implicit), maintainer (timeout)

Modified:
  head/devel/glog/Makefile
  head/devel/glog/distinfo

Modified: head/devel/glog/Makefile
==============================================================================
--- head/devel/glog/Makefile	Mon Jun 17 16:18:54 2013	(r321140)
+++ head/devel/glog/Makefile	Mon Jun 17 16:44:51 2013	(r321141)
@@ -2,7 +2,7 @@
 # $FreeBSD$
 
 PORTNAME=	glog
-PORTVERSION=	0.3.2
+PORTVERSION=	0.3.3
 CATEGORIES=	devel
 MASTER_SITES=	GOOGLE_CODE
 
@@ -15,7 +15,6 @@ LIB_DEPENDS=	execinfo:${PORTSDIR}/devel/
 GNU_CONFIGURE=	yes
 USES=	pathfix
 USE_LDCONFIG=	yes
-USE_GCC=	4.2+
 PROJECTHOST=	google-glog
 
 CPPFLAGS+=	-I${LOCALBASE}/include
@@ -33,7 +32,7 @@ EXTRA_PATCHES+=	${FILESDIR}/extra-patch-
 
 post-patch:
 	@${REINPLACE_CMD} -e 's|^docdir.*|docdir = ${DOCSDIR}|' ${WRKSRC}/Makefile.in
-.if defined(NOPORTDOCS)
+.if ! ${PORT_OPTIONS:MDOCS}
 	@${REINPLACE_CMD} -E -e '/^install-data-am/,/^$$/ s,install-(dist_doc|dist_html|html)DATA,,g' \
 	    ${WRKSRC}/Makefile.in
 .endif

Modified: head/devel/glog/distinfo
==============================================================================
--- head/devel/glog/distinfo	Mon Jun 17 16:18:54 2013	(r321140)
+++ head/devel/glog/distinfo	Mon Jun 17 16:44:51 2013	(r321141)
@@ -1,2 +1,2 @@
-SHA256 (glog-0.3.2.tar.gz) = 5e47f9437e97cb1621930dea3c557a2801ddac3b5db1a9fd0c3cde399f2c9ccd
-SIZE (glog-0.3.2.tar.gz) = 478666
+SHA256 (glog-0.3.3.tar.gz) = fbf90c2285ba0561db7a40f8a4eefb9aa963e7d399bd450363e959929fe849d0
+SIZE (glog-0.3.3.tar.gz) = 509676
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 William Grzybowski freebsd_committer 2013-06-17 17:47:30 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!
Comment 7 Yoshisato Yanagisawa 2013-06-18 16:55:53 UTC
2013/06/18 1:32, William Grzybowski wrote:
> Why did you remove the patches?

Because they are not needed any more:
http://code.google.com/p/google-glog/source/detail?r=116
Comment 8 William Grzybowski 2013-06-18 16:58:04 UTC
Thanks,

It would be good to indicate that in the PR, the original link was an
bug report without resolution.

On Tue, Jun 18, 2013 at 12:55 PM, Yoshisato YANAGISAWA
<osho@pcc-software.org> wrote:
> 2013/06/18 1:32, William Grzybowski wrote:
>>
>> Why did you remove the patches?
>
>
> Because they are not needed any more:
> http://code.google.com/p/google-glog/source/detail?r=116
>



-- 
William Grzybowski
------------------------------------------
Curitiba/PR - Brasil
Comment 9 dfilter service freebsd_committer 2013-06-18 17:25:54 UTC
Author: wg
Date: Tue Jun 18 16:25:47 2013
New Revision: 321203
URL: http://svnweb.freebsd.org/changeset/ports/321203

Log:
  devel/glog: remove patches
  
  - Patches to fix the real issue have been integrated upstream
  
  http://code.google.com/p/google-glog/source/detail?r=116
  
  PR:		ports/175792 [1]
  Submitted by:	Yoshisato YANAGISAWA <osho@pcc-software.org>
  Approved by:	culot / jpaetzel (mentors, implicit), maintainer (timeout)

Deleted:
  head/devel/glog/files/
Modified:
  head/devel/glog/Makefile

Modified: head/devel/glog/Makefile
==============================================================================
--- head/devel/glog/Makefile	Tue Jun 18 16:19:08 2013	(r321202)
+++ head/devel/glog/Makefile	Tue Jun 18 16:25:47 2013	(r321203)
@@ -22,14 +22,6 @@ LDFLAGS+=	-L${LOCALBASE}/lib -lexecinfo
 
 .include <bsd.port.pre.mk>
 
-.if ${ARCH} == "amd64" || ${ARCH} =="ia64" || ${ARCH} =="powerpc" || ${ARCH} =="sparc64"
-EXTRA_PATCHES=	${FILESDIR}/extra-patch-src-utilities.cc
-.endif
-
-.if ${ARCH} == "amd64"
-EXTRA_PATCHES+=	${FILESDIR}/extra-patch-src-utilities.h
-.endif
-
 post-patch:
 	@${REINPLACE_CMD} -e 's|^docdir.*|docdir = ${DOCSDIR}|' ${WRKSRC}/Makefile.in
 .if ! ${PORT_OPTIONS:MDOCS}
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"